<?php
// +----------------------------------------------------------------------
// | CRMEB [ CRMEB赋能开发者，助力企业发展 ]
// +----------------------------------------------------------------------
// | Copyright (c) 2016~2020 https://www.crmeb.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed CRMEB并不是自由软件，未经许可不能去掉CRMEB相关版权
// +----------------------------------------------------------------------
// | Author: CRMEB Team <admin@crmeb.com>
// +----------------------------------------------------------------------

return [
    //默认支付模式
    'default' => 'smsbao',
    //单个手机每日发送上限
    'maxPhoneCount' => 10,
    //验证码每分钟发送上线
    'maxMinuteCount' => 20,
    //单个IP每日发送上限
    'maxIpCount' => 50,
    //驱动模式
    'stores' => [
        //云信
        'yunxin' => [
            //短信模板id
            'template_id' => [
                //验证码自定义时效
                'VERIFICATION_CODE_TIME' => 538393,
                //验证码
                'VERIFICATION_CODE' => 518076,
                //支付成功
                'PAY_SUCCESS_CODE' => 520268,
                //发货提醒
                'DELIVER_GOODS_CODE' => 520269,
                //确认收货提醒
                'TAKE_DELIVERY_CODE' => 520271,
                //管理员下单提醒
                'ADMIN_PLACE_ORDER_CODE' => 520272,
                //管理员退货提醒
                'ADMIN_RETURN_GOODS_CODE' => 520274,
                //管理员支付成功提醒
                'ADMIN_PAY_SUCCESS_CODE' => 520273,
                //管理员确认收货
                'ADMIN_TAKE_DELIVERY_CODE' => 520422,
                //改价提醒
                'PRICE_REVISION_CODE' => 528288,
                //订单未支付
                'ORDER_PAY_FALSE' => 528116,
            ],
        ],
        //创蓝
        'chuanglan' => [
            //短信模板id
            'template_id' => [
                //验证码自定义时效
                'VERIFICATION_CODE_TIME' => 435250,
                //验证码
                'VERIFICATION_CODE' => 441495,
                //支付成功
                'PAY_SUCCESS_CODE' => 440396,
                //发货提醒
                'DELIVER_GOODS_CODE' => 441596,
                //确认收货提醒
                'TAKE_DELIVERY_CODE' => 440402,
                //管理员下单提醒
                'ADMIN_PLACE_ORDER_CODE' => 440405,
                //管理员退货提醒
                'ADMIN_RETURN_GOODS_CODE' => 440415,
                //管理员支付成功提醒
                'ADMIN_PAY_SUCCESS_CODE' => 440406,
                //管理员确认收货
                'ADMIN_TAKE_DELIVERY_CODE' => 440408,
                //改价提醒
                'PRICE_REVISION_CODE' => 440410,
                //订单未支付
                'ORDER_PAY_FALSE' => 440409,
            ],
        ],
        //阿里云
        'aliyun' => [
            'template_id' => [
                //验证码
                'VERIFICATION_CODE' => '',
                //支付成功
                'PAY_SUCCESS_CODE' => '',
                //发货提醒
                'DELIVER_GOODS_CODE' => '',
                //确认收货提醒
                'TAKE_DELIVERY_CODE' => '',
                //管理员下单提醒
                'ADMIN_PLACE_ORDER_CODE' => '',
                //管理员退货提醒
                'ADMIN_RETURN_GOODS_CODE' => '',
                //管理员支付成功提醒
                'ADMIN_PAY_SUCCESS_CODE' => '',
                //管理员确认收货
                'ADMIN_TAKE_DELIVERY_CODE' => '',
                //改价提醒
                'PRICE_REVISION_CODE' => '',
                //订单未支付
                'ORDER_PAY_FALSE' => '',
            ],
            'sign_name' => '',
            'access_key_id' => '',
            'access_key_secret' => '',
            'region_id' => ''
        ],
        'smsbao'=>[
            'template_id' => [
                //验证码
                'VERIFICATION_CODE_TIME' => '您的验证码是code，有效期为time分钟。如非本人操作，可不用理会。',
                //支付成功
                'PAY_SUCCESS_CODE' => '您购买的商品已支付成功，支付金额pay_price元，订单号order_id,感谢您的光临！',
                //发货提醒
                'DELIVER_GOODS_CODE' => '亲爱的用户nickname您的商品store_name，订单号order_id已发货，请注意查收',
                //确认收货提醒
                'TAKE_DELIVERY_CODE' => '亲，您的订单order_id,商品store_name已确认收货,感谢您的光临！',
                //管理员下单提醒
                'ADMIN_PLACE_ORDER_CODE' => 'admin_name管理员，您有一笔已支付的订单待处理，订单号为order_id！',
                //管理员退货提醒
                'ADMIN_RETURN_GOODS_CODE' => 'admin_name管理员,您有一笔支付成功的订单待处理，订单号order_id!',
                //管理员支付成功提醒
                'ADMIN_PAY_SUCCESS_CODE' => 'admin_name管理员,您有一笔支付成功的订单待处理，订单号order_id!',
                //管理员确认收货
                'ADMIN_TAKE_DELIVERY_CODE' => 'admin_name管理员,您有一笔订单已经确认收货，订单号order_id!',
                //改价提醒
                'PRICE_REVISION_CODE' => '您的订单order_id，实际支付金额已被修改为pay_price',
                //订单未支付
                'ORDER_PAY_FALSE' => '您有未付款订单,订单号为:order_id，商品数量有限，请及时付款。',
            ],
        ]
    ]
];
